
GammaLib - Action #3629

Update conda environment

04/29/2021 12:14 PM - Knödlseder Jürgen

Status: Closed Start date: 04/29/2021

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0.0   

Description

Before release 2.0 the conda environment should be updated. This includes updating the dependencies, since Python 3.9 does not

support readline 7.0. Furthermore, the re-activation step after installing the package does not seem to be needed anymore. This

should be verified. Eventually the conda version should be determined from which one this step is no longer needed.

History

#1 - 06/04/2022 09:05 PM - Knödlseder Jürgen

- Project changed from ctools to GammaLib

- Assigned To set to Knödlseder Jürgen

- Target version changed from 2.0.0 to 2.0.0

This action seems more to relate to gammalib than ctools. The actual code supports already building for Python 3.9, the current Python version 3.10

should be added.

#2 - 06/04/2022 09:32 PM - Knödlseder Jürgen

- % Done changed from 0 to 10

I first tried building GammaLib for Python 3.9 on my Mac:

$ anaconda

$ conda build dev/conda.recipe --python=3.9

No numpy version specified in conda_build_config.yaml.  Falling back to default numpy value of 1.16

WARNING:conda_build.metadata:No numpy version specified in conda_build_config.yaml.  Falling back to default numpy value of 1.16

Adding in variants from internal_defaults

INFO:conda_build.variants:Adding in variants from internal_defaults

Adding in variants from /Users/jurgen/git/gammalib/gammalib/dev/conda.recipe/conda_build_config.yaml

INFO:conda_build.variants:Adding in variants from /Users/jurgen/git/gammalib/gammalib/dev/conda.recipe/conda_build_config.yaml

Adding in variants from config.variant

INFO:conda_build.variants:Adding in variants from config.variant

Attempting to finalize metadata for gammalib

INFO:conda_build.metadata:Attempting to finalize metadata for gammalib

Collecting package metadata (repodata.json): ...working... done

Solving environment: ...working... done

BUILD START: ['gammalib-2.0.0.dev-py39_1.tar.bz2']

Collecting package metadata (repodata.json): ...working...

Solving environment: ...working... done

Collecting package metadata (repodata.json): ...working...

Solving environment: ...working... done

## Package Plan ##

  environment location:

The following NEW packages will be INSTALLED:

    bzip2:           1.0.8-h0d85af4_4          conda-forge
    c-ares:          1.18.1-h0d85af4_0         conda-forge

    ca-certificates: 2022.5.18.1-h033912b_0    conda-forge

    cfitsio:         3.430-h50cca31_1002       conda-forge

    curl:            7.83.1-h23f1065_0         conda-forge

    krb5:            1.19.3-hb98e516_0         conda-forge

    libcurl:         7.83.1-h23f1065_0         conda-forge

    libcxx:          14.0.4-hc203e6f_0         conda-forge

    libedit:         3.1.20191231-h0678c8f_2   conda-forge

    libev:           4.33-haf1e3a3_1           conda-forge

    libffi:          3.4.2-h0d85af4_5          conda-forge

    libgfortran:     3.0.1-0                   conda-forge

    libnghttp2:      1.47.0-hca56917_0         conda-forge

    libssh2:         1.10.0-hd3787cc_2         conda-forge

    libzlib:         1.2.12-h6c3fc93_0         conda-forge

    ncurses:         6.3-h96cf925_1            conda-forge

    openssl:         3.0.3-hfe4f2af_0          conda-forge

    pcre:            8.45-he49afe7_0           conda-forge

    pip:             22.1.2-pyhd8ed1ab_0       conda-forge

    python:          3.9.13-hf8d34f4_0_cpython conda-forge

    python_abi:      3.9-2_cp39                conda-forge

    readline:        8.1-h05e3726_0            conda-forge

    setuptools:      62.3.2-py39h6e9494a_0     conda-forge

    sqlite:          3.38.5-hd9f0692_0         conda-forge

    swig:            4.0.2-hce5123c_2          conda-forge

    tk:              8.6.12-h5dbffcc_0         conda-forge

    tzdata:          2022a-h191b570_0          conda-forge

    wheel:           0.37.1-pyhd8ed1ab_0       conda-forge

    xz:              5.2.5-haf1e3a3_1          conda-forge

    zlib:            1.2.12-h6c3fc93_0         conda-forge

Preparing transaction: ...working... done

Verifying transaction: ...working... done

Executing transaction: ...working... done

Source cache directory is: /Users/jurgen/anaconda3/conda-bld/src_cache

INFO:conda_build.source:Source cache directory is: /Users/jurgen/anaconda3/conda-bld/src_cache

INFO conda_build.source:download_to_cache(44): Source cache directory is: /Users/jurgen/anaconda3/conda-bld/src_cache

No hash (md5, sha1, sha256) provided for gammalib-2.0.0.dev.tar.gz.  Source download forced.  Add hash to recipe to use source cache.

WARNING:conda_build.source:No hash (md5, sha1, sha256) provided for gammalib-2.0.0.dev.tar.gz.  Source download forced.  Add hash to recipe

 to use source cache.

WARNING conda_build.source:download_to_cache(61): No hash (md5, sha1, sha256) provided for gammalib-2.0.0.dev.tar.gz.  Source download

 forced.  Add hash to recipe to use source cache.

Downloading source to cache: gammalib-2.0.0.dev.tar.gz

INFO:conda_build.source:Downloading source to cache: gammalib-2.0.0.dev.tar.gz

INFO conda_build.source:download_to_cache(69): Downloading source to cache: gammalib-2.0.0.dev.tar.gz

Downloading http://cta.irap.omp.eu/ctools/releases/gammalib/gammalib-2.0.0.dev.tar.gz

INFO:conda_build.source:Downloading http://cta.irap.omp.eu/ctools/releases/gammalib/gammalib-2.0.0.dev.tar.gz

INFO conda_build.source:download_to_cache(83): Downloading http://cta.irap.omp.eu/ctools/releases/gammalib/gammalib-2.0.0.dev.tar.gz

Success

INFO:conda_build.source:Success

INFO conda_build.source:download_to_cache(94): Success

Extracting download

source tree in: /Users/jurgen/anaconda3/conda-bld/gammalib_1654369742112/work

export

export SRC_DIR=/Users/jurgen/anaconda3/conda-bld/gammalib_1654369742112/work

...

... (compiling) ...

...

####################################################################################

Resource usage summary:

Total time: 0:18:43.0

CPU usage: sys=0:00:09.0, user=0:03:12.5

Maximum memory usage observed: 416.3M

Total disk usage observed (not including envs): 557.6K

Following the build I tested the conda build:

$ conda create -n gammalib-devel-test python=3.9

$ conda activate gammalib-devel-test
$ conda install --use-local gammalib=2.0.0.dev

$ python

Python 3.9.13 | packaged by conda-forge | (main, May 27 2022, 17:01:00)

[Clang 13.0.1 ] on darwin

Type "help", "copyright", "credits" or "license" for more information.

>>> import gammalib

>>>

This worked successfully.

#3 - 06/04/2022 10:35 PM - Knödlseder Jürgen

- Status changed from New to Pull request

- % Done changed from 10 to 90

I repeated the check for Python 3.10, and did similar tests for ctools. All worked out fine.

#4 - 06/04/2022 10:52 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- % Done changed from 90 to 100

Merged into devel.
